Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.event
Class MacroEvent

    java.lang.Object
      java.util.EventObject
          org.apache.slide.event.MacroEvent

All Implemented Interfaces:
  RemoteInformation, java.io.Serializable

public class MacroEvent
extends java.util.EventObject
implements RemoteInformation

Macro event class

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `MacroEvent.Copy`
`static class` | `MacroEvent.Delete`
`static class` | `MacroEvent.Move`

Field Summary
`static MacroEvent.Copy` | `COPY`
`static MacroEvent.Delete` | `DELETE`
`static java.lang.String` | `GROUP`
`static AbstractEventMethod[]` | `methods`
`static MacroEvent.Move` | `MOVE`
`protected static java.lang.String` | `SOURCE_URI_KEY`
`protected static java.lang.String` | `TARGET_URI_KEY`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MacroEvent(java.lang.Object source, SlideToken token, Namespace namespace, java.lang.String tagetURI)`
`MacroEvent(java.lang.Object source, SlideToken token, Namespace namespace, java.lang.String sourceURI, java.lang.String targetURI)`

Method Summary
`java.lang.String[][]` | `getInformation()` The returned String[][] is assumed to be a String[?][2], where ? is greater than or equal to 0.
`Namespace` | `getNamespace()`
`java.lang.String` | `getSourceURI()`
`java.lang.String` | `getTargetURI()`
`SlideToken` | `getToken()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MOVE

    public static final MacroEvent.Move MOVE

### COPY

    public static final MacroEvent.Copy COPY

### DELETE

    public static final MacroEvent.Delete DELETE

### GROUP

    public static final java.lang.String GROUP

See Also:
  Constant Field Values

### methods

    public static final AbstractEventMethod[] methods

### SOURCE_URI_KEY

    protected static final java.lang.String SOURCE_URI_KEY

See Also:
  Constant Field Values

### TARGET_URI_KEY

    protected static final java.lang.String TARGET_URI_KEY

See Also:
  Constant Field Values

Constructor Detail

### MacroEvent

    public MacroEvent(java.lang.Object source,
                      SlideToken token,
                      Namespace namespace,
                      java.lang.String tagetURI)

### MacroEvent

    public MacroEvent(java.lang.Object source,
                      SlideToken token,
                      Namespace namespace,
                      java.lang.String sourceURI,
                      java.lang.String targetURI)

Method Detail

### getToken

    public SlideToken getToken()

### getNamespace

    public Namespace getNamespace()

### getSourceURI

    public java.lang.String getSourceURI()

### getTargetURI

    public java.lang.String getTargetURI()

### toString

    public java.lang.String toString()

### getInformation

    public java.lang.String[][] getInformation()

  Description copied from interface: `RemoteInformation`
  The returned String[][] is assumed to be a String[?][2], where ? is greater than or equal to 0. The format of the returned value is assumed to be:

       {
           { "XML Element Name 1", "XML Element Value 1"},
           { "XML Element Name 2", "XML Element Value 2"},
           etc...
       }

  One noteable value for the element name is "uri". The Slide context path is preppended to the value of an element with this name before it is returned to the client.

  Specified by:
    `getInformation` in interface `RemoteInformation`
  Returns:
    an array of name = value pairs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD